Summary:        A tool for helping in compiler development
Name: 		treecc-devel
Version: 	0.3.8
Release: 	1
Group: 		Development
License: 	GPL
Source: 	treecc-%version.tar.gz
URL: 		http://www.southern-storm.com.au/treecc.html
Buildroot: 	%_tmppath/%name-%version-buildroot
BuildRequires:  flex byacc
Provides:	treecc

%description
The treecc program is designed to assist in the development of 
compilers and other language-based tools. It manages the 
generation of code to handle abstract syntax trees and operations 
upon the trees.
Treecc was originally written to assist with the development of 
the C# compiler for the Portable.NET project. However, it is much 
more general than that and can be used in any system that makes 
heavy use of abstract syntax trees and the operations upon them.

%prep
%setup -q -n treecc-%version

%build
%configure --disable-nls
make
make -C tests check-TESTS

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}
%{_libdir}
%{_mandir}
